# Gimp.Path.stroke_new_from_points

    @accepts(Gimp.Path, Gimp.PathStrokeType, gsize, [float], bool)
    @returns(int)
    def stroke_new_from_points(self, type, num_points, controlpoints, closed):
        # Python wrapper for gimp_path_stroke_new_from_points()

Adds a stroke of a given type to the path object.

Adds a stroke of a given type to the path object. The coordinates of the control points can be specified. For now only strokes of the type GIMP_PATH_STROKE_TYPE_BEZIER are supported. The control points are specified as a pair of double values for the x- and y-coordinate. The Bezier stroke type needs a multiple of three control points. Each Bezier segment endpoint (anchor, A) has two additional control points (C) associated. They are specified in the order CACCACCAC...

Since 2.4

self

  The path object.

type

  type of the stroke (always GIMP_PATH_STROKE_TYPE_BEZIER for now).

num_points

  The number of elements in the array, i.e. the number of controlpoints in the stroke * 2 (x- and y-coordinate).

controlpoints

  List of the x- and y-coordinates of the control points.

closed

  Whether the stroke is to be closed or not.

Returns